/*
This file is part of DashMan video game

Copyright (c) 2008 Michael Georgoulopoulos <msamurai@freemail.gr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


// sound.h
#ifndef _SOUND_H_
#define _SOUND_H_

enum GameSound
{
    SND_GEM = 0,
    SND_ROCK,
    SND_DIE,
    SND_NEW_LEVEL,
    SND_MAX_SOUNDS
};

bool LoadSounds();
void PlaySound(GameSound snd);
void DeleteSounds();

#endif // ndef _SOUND_H_
